using Hotline.Share.Enums.Order;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Snapshot;

/// <summary>
/// 区域从业人员
/// </summary>
[Description("区域从业人员")]
public class Practitioner : FullStateEntity
{
    /// <summary>
    /// 名字
    /// </summary>
    [SugarColumn(ColumnDescription = "姓名")]
    public string Name { get; set; }

    /// <summary>
    /// 区域Id
    /// </summary>
    [SugarColumn(ColumnDescription = "区域Id")]
    public string SystemAreaId { get; set; }

    /// <summary>
    /// 区域名称
    /// </summary>
    [SugarColumn(ColumnDescription = "区域名称")]
    public string SystemAreaName { get; set; }

    /// <summary>
    /// 详细街道
    /// </summary>
    [SugarColumn(ColumnDescription = "街道")]
    public string Street { get; set; }

    /// <summary>
    /// 电话
    /// </summary>
    [SugarColumn(ColumnDescription = "电话")]
    public string PhoneNumber { get; set; }

    /// <summary>
    /// 性别
    /// </summary>
    public EGender Gender { get; set; }
}
